Module "Df_Compiler" requires module "Mage_Compiler"

[10 ноября 2016 г.]    Российская сборка Magento 2.49.12
Magento 2: модули и услуги
#1 Val_Goodwill
  • Группа: Заблокирован
  • Сообщений: 12
  • Регистрация: 17.05.2011

27.05.2011 13:58

Просмотр сообщенияДмитрий Федюк (26.02.2011 10:46) писал:

Перед установкой Российской сборки, как и любого другого стороннего модуля, крайне рекомендуется временно отключить режим компиляции (если вы его используете) и кеширование:
«System» → «Tools» → «Compilation» → «Disable»
«System» → «Cache Management» → «Select All» → «Action = Disable» → «Submit»


У меня версия 1.4.0.1 - кэш я отключил, а компилятора у меня нет:

Изображение

после установки русской сборки вместо страницы админки выкинуло ругань:

Module "Df_Compiler" requires module "Mage_Compiler"

#0 /.../app/code/core/Mage/Core/Model/Config.php(758): Mage::throwException('Module "Df_Comp...')
#1 /.../app/code/core/Mage/Core/Model/Config.php(723): Mage_Core_Model_Config->_sortModuleDepends(Array)
#2 /.../app/code/core/Mage/Core/Model/Config.php(307): Mage_Core_Model_Config->_loadDeclaredModules()
#3 /.../app/code/core/Mage/Core/Model/App.php(360): Mage_Core_Model_Config->loadModules()
#4 /.../app/code/core/Mage/Core/Model/App.php(295): Mage_Core_Model_App->_initModules()
#5 /.../app/Mage.php(596): Mage_Core_Model_App->run(Array)
#6 /.../index.php(79): Mage::run('', 'store')
#7 {main}


Компилятор вообще присутствовал в версии 1.4.0.1?
И как мне обойти эти грабли и таки поставить русскую сборку на 1.4.0.1?

Заранее благодарю.

#2 Дмитрий Федюк
  • Администратор
  • Иконка
  • Группа: Администратор
  • Сообщений: 8885
  • Регистрация: 20.02.2010

27.05.2011 14:05

Компилятор в Magento 1.4.0.1 присутствует (скачайте из архива версий с официального сайта и убедитесь).
В вашем конкретном случае, видимо, ваш разработчик зачем-то выкинул этот системный модуль.

#3 Val_Goodwill
  • Группа: Заблокирован
  • Сообщений: 12
  • Регистрация: 17.05.2011

27.05.2011 14:08

однако новость.... ок, попробую восстановить.

#4 Дмитрий Федюк
  • Администратор
  • Иконка
  • Группа: Администратор
  • Сообщений: 8885
  • Регистрация: 20.02.2010

27.05.2011 14:10

  • Рекомендую не только восстановить этот модуль, но и вообще сравнить программный код стандартных библиотек вашего сайта с эталонным из Magento 1.4.0.1 (для такого сравнения имеются специальные инструменты вроде Araxis Merge).
  • Цитировать мои сообщения не нужно - я сам помню, что я писал :rolleyes:


#5 Val_Goodwill
  • Группа: Заблокирован
  • Сообщений: 12
  • Регистрация: 17.05.2011

27.05.2011 14:15

а могу я из Magento Connect сделать reinstall Mage_Core_Modules ?
Компилятор входит в этот пакет, или в какойто другой?

цитировать не буду, ок:)

Araxis Merge щас изучу..

#6 Дмитрий Федюк
  • Администратор
  • Иконка
  • Группа: Администратор
  • Сообщений: 8885
  • Регистрация: 20.02.2010

27.05.2011 14:18

  • Может получиться, а может закончиться печально - заранее нельзя сказать, не зная, чем конкретно программный код вашего сайта отличается от эталонного.
  • Да


Поделиться темой: